import 'package:get/get.dart';
import 'package:naiyouwl/app/common/SharedPreferencesUtil.dart';

import '../../../data/model/SysConfig.dart';
import '../../../network/api_service.dart';
import '../../../routes/app_pages.dart';

class WelcomeController extends GetxController {
  var isLoading = true.obs;
  var sysConfig = SysConfig().obs;
  var errorMsg = ''.obs;

  Future<void> fetchSysConfig() async {
    try {
      isLoading.value = true;
      sysConfig.value = await ApiService().fetchSysConfig("/api/client/v3/getconfig");
      await SharedPreferencesUtil().setObject("sysconfig", sysConfig.value.toJson());

      Get.offNamed(Routes.HOME);

    } catch (e) {
      errorMsg.value = e.toString();
    } finally {
      isLoading.value = false;
    }
  }
  @override
  void onInit() {
    super.onInit();
    fetchSysConfig();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }


}
